

/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package mypkg;

import java.text.DateFormat;
import java.util.*;


public class MyDate {
    Date today;
    DateFormat dateFormatter;

    public MyDate() {
        today = new Date();
    }

    public String getDate() {
        return dateFormatter.format(today);
    }

    public void setLocale(Locale l) {
        dateFormatter = DateFormat.getDateInstance(DateFormat.FULL, l);
    }
}
